Eclipse からJava ライブラリのバージョンを更新する方法

投稿者:

セキュリティ対策として、最新のバージョンを使うこと、と言われていることと思う。

正しいやり方を知らないのだが、私のいつものやり方。

プロジェクトのルートで右クリックし、実行 > Maven ビルド… を選択。

ダイアログが表示されるので、ゴールに、versions:use-latest-versions を指定して実行。

プロパティに以下の設定をしておくと、更新ルールを指定することができる。(alpha 版、beta 版を除くなど)

  • 名前: maven.version.rules
  • 値: file:///${project.basedir}/rule.xml

rule.xml の例

<ruleset comparisonMethod="maven"
         xmlns="http://mojo.codehaus.org/versions-maven-plugin/rule/2.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://mojo.codehaus.org/versions-maven-plugin/rule/2.0.0 http://mojo.codehaus.org/versions-maven-plugin/xsd/rule-2.0.0.xsd">
	<ignoreVersions>
		<ignoreVersion type="regex">.*[.]Alpha\d+</ignoreVersion>
		<ignoreVersion type="regex">.*-alpha-\d+</ignoreVersion>
		<ignoreVersion type="regex">.*-beta\d+</ignoreVersion>
		<ignoreVersion type="regex">.*-b\d\d</ignoreVersion>
	</ignoreVersions>
</ruleset>

参考サイトにあるように plugin を pom.xml に入れておく必要があったかもしれない。(だいぶ前に設定したので忘れてしまった・・・)

バージョンを自動更新したくない場合は、プロパティにバージョンを定義して、ライブラリのバージョンに、${定義したプロパティ名}のようにしておくとよいようだ。例えば、ライブラリのバージョンに ${hoge_version} と設定して、概要タブのプロパティに、名前: hoge_version、値:1.2.3 のプロパティを追加する。

参考サイト

Mavenでの依存ライブラリの最新バージョンを表示、更新したりできるVersions Maven Plugin